Package org.opensaml.xacml.ctx.impl

# Class DecisionTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.ctx.impl.DecisionTypeImpl

All Implemented Interfaces:
  `XMLObject`, `DecisionType`, `XACMLObject`

public class DecisionTypeImpl extends AbstractXACMLObject implements DecisionType
Concrete implementation of `DecisionType`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xacml.ctx.DecisionType

`DecisionType.DECISION`

## Field Summary

Fields
Modifier and Type
Field
Description
`private DecisionType.DECISION`
`decision`
Value for the decision.

### Fields inherited from interface org.opensaml.xacml.ctx.DecisionType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DecisionTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DecisionType.DECISION`
`getDecision()`
Gets the value of the decision.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setDecision(DecisionType.DECISION dec)`
Sets the value of the decision.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### decision

private DecisionType.DECISION decision
Value for the decision.

## Constructor Details

### DecisionTypeImpl

protected DecisionTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### getDecision

public DecisionType.DECISION getDecision()
Gets the value of the decision.

Specified by:
  `getDecision` in interface `DecisionType`
Returns:
  The value of the decision

### setDecision

public void setDecision(DecisionType.DECISION dec)
Sets the value of the decision.

Specified by:
  `setDecision` in interface `DecisionType`
Parameters:
  `dec` - value of the decision